Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser

# Class ICC_CMYKColorSliderModel

java.lang.Object
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderModel
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ICC_CMYKColorSliderModel

public class ICC_CMYKColorSliderModel extends ColorSliderModel
A ColorSliderModel for CMYK color models (cyan, magenta, yellow, black) in a color space defined by a ICC color profile (International Color Consortium).

XXX - This does not work. I think this is because of Java bug #4760025 at http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4760025 but maybe I am doing something in the wrong way.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderModel

`components, values`

## Constructor Summary

Constructors
Constructor
Description
`ICC_CMYKColorSliderModel(InputStream iccProfile)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`int`
`getRGB()`
`void`
`setRGB(int newRGB)`
`int`
`toRGB(int[] values)`

### Methods inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderModel

`addChangeListener, addColorSlider, configureColorSlider, fireColorChanged, fireStateChanged, getBoundedRangeModel, getColor, getComponentCount, getInterpolatedRGB, getValue, removeChangeListener, removeColorSlider, setColor, setValue, unconfigureColorSlider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ICC_CMYKColorSliderModel

public ICC_CMYKColorSliderModel(InputStream iccProfile) throws IOException
Creates a new instance.

Throws:
  `IOException`

## Method Details

### getRGB

public int getRGB()

Specified by:
  `getRGB` in class `ColorSliderModel`

### setRGB

public void setRGB(int newRGB)

Specified by:
  `setRGB` in class `ColorSliderModel`

### toRGB

public int toRGB(int[] values)

Specified by:
  `toRGB` in class `ColorSliderModel`